import request from "@/utils/request";

/**
 * 审核标签
 *
 *  */
// 获取审核意见标签
export function getSysCheckNote(params = {}) {
  return request({
    url: "/disease-data/sysCheckNote",
    method: "get",
    params,
  });
}
//随访调查 列表
export function getFollowSurvey(params = {}) {
  return request({
    url: "/disease-data/follow/survey",
    method: "get",
    params,
  });
}
///////////////审核质控/////////////////////
//随访已审核列表
export function getFollowCheck(params = {}) {
  return request({
    url: "/disease-data/dataCheck/follow/check",
    method: "get",
    params,
  });
}
//随访待审核列表
export function getFollowUncheck(params = {}) {
  return request({
    url: "/disease-data/dataCheck/follow/unCheck",
    method: "get",
    params,
  });
}
//随访病例待审核(详情数据)
export function getFollowUnCheckDetail(id) {
  return request({
    url: `/disease-data/dataCheck/follow/unCheck/detail/${id}`,
    method: "get",
  });
}
//随访病例审核
export function putFollowCheck(data = {}) {
  return request({
    url: "/disease-data/dataCheck/follow/check",
    method: "put",
    data,
  })
}
//修改随访审核意见
export function putFollowCheckAdvice(data = {}) {
  return request({
    url: "/disease-data/dataCheck/follow/check/advice",
    method: "put",
    data,
  })
}